local Rx = require 'Rx'

local enumerableRep = Rx.internals.Enumerable.rep

--------------------------------------------------------------------------------

return function(self, repeatCount)
    return enumerableRep(repeatCount, self):concat()
end

